Index: frontend/src/Components/Forms/AddHotelForm.js
===================================================================
--- frontend/src/Components/Forms/AddHotelForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/AddHotelForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -119,4 +119,6 @@
                   return prevState + 1;
                 })
+                if(!edit)
+                  props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddRestaurantForm.js
===================================================================
--- frontend/src/Components/Forms/AddRestaurantForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/AddRestaurantForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -82,7 +82,6 @@
                 e.preventDefault()
                 createRestaurant(formData, edit);
-                props.refresh((prevState) => {
-                  return prevState + 1;
-                })
+                props.refresh(Math.random())
+                if(!edit) props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddRoomForm.js
===================================================================
--- frontend/src/Components/Forms/AddRoomForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/AddRoomForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -13,5 +13,5 @@
     hotelRoomDescription: "",
     hotelRoomName: "",
-    numBeds: "",
+    numOfBeds: "",
     price: "",
     kitchenAvailable: false,
@@ -58,6 +58,6 @@
             type="number" 
             placeholder="Внесете го бројот на кревети" 
-            value={formData.numBeds}
-            name="numBeds"
+            value={formData.numOfBeds}
+            name="numOfBeds"
             onChange={onFormChange}
             />
@@ -117,7 +117,11 @@
               style={{ backgroundColor: "#159895" }}
               size="md"
-              onClick={() => {
-                console.log(formData);
+              onClick={(e) => {
+                e.preventDefault();
+                props.refresh((prev) => {
+                  return ++prev;
+                })
                 createHotelRoom(formData);
+                props.closeModal();
               }}
             >
Index: frontend/src/Components/Forms/AddTableAvailabilityForm.js
===================================================================
--- frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -62,4 +62,6 @@
               onClick={() => {
                 createTableAvailability(formData, props.table.tableId)
+                props.refresh(Math.random())
+                props.close()
               }}
             >
Index: frontend/src/Components/Forms/AddTransportForm.js
===================================================================
--- frontend/src/Components/Forms/AddTransportForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/AddTransportForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -11,5 +11,5 @@
       transportName: "",
       carBrand: "",
-      carType: false,
+      carType: "",
       carManufacturedYear: 1900,
       noPassengers: 0,
@@ -107,6 +107,8 @@
                 createTransport(formData, edit);
                 props.refresh((prev) => {
-                  return prev + 1;
+                  return ++prev;
                 })
+                if(!edit)
+                    props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddTripForm.js
===================================================================
--- frontend/src/Components/Forms/AddTripForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/AddTripForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -232,4 +232,5 @@
                                     console.log(wayPointNames);
                                     for (let i = 0; i < routeCount - 1; i++) {
+                                        console.log(wayPoints[i])
                                         wayPointNames.push(wayPoints[i].value);
                                     }
Index: frontend/src/Components/Forms/EditRoomForm.js
===================================================================
--- frontend/src/Components/Forms/EditRoomForm.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Forms/EditRoomForm.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -28,4 +28,6 @@
     } = useGet(`/hotel/rooms/${props.room.hotelRoomId}/available`)
 
+    console.log(`/hotel/rooms/${props.room.hotelRoomId}/available`)
+
     !isLoading && console.log(data)
 
@@ -42,13 +44,7 @@
                             <tr>
                                 <th>#</th>
-<<<<<<< HEAD
                                 <th>Oд</th>
                                 <th>До</th>
                                 <th>Цена</th>
-=======
-                                <th>Достапно од</th>
-                                <th>Достапно до</th>
-                                <th>Број на соби</th>
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
                             </tr>
                             </thead>
